package org.eclipse.scout.demo.view.server.services.process;

import org.eclipse.scout.commons.exception.ProcessingException;
import org.eclipse.scout.commons.exception.VetoException;
import org.eclipse.scout.demo.view.shared.Texts;
import org.eclipse.scout.demo.view.shared.security.CreateBottomPermission;
import org.eclipse.scout.demo.view.shared.security.ReadBottomPermission;
import org.eclipse.scout.demo.view.shared.security.UpdateBottomPermission;
import org.eclipse.scout.demo.view.shared.services.process.BottomFormData;
import org.eclipse.scout.demo.view.shared.services.process.IBottomProcessService;
import org.eclipse.scout.rt.shared.services.common.security.ACCESS;
import org.eclipse.scout.service.AbstractService;

public class BottomProcessService extends AbstractService implements IBottomProcessService {

  public BottomFormData prepareCreate(BottomFormData formData) throws ProcessingException {
    if (!ACCESS.check(new CreateBottomPermission())) {
      throw new VetoException(Texts.get("AuthorizationFailed"));
    }
    //TODO [gugi] business logic here
    return formData;
  }

  public BottomFormData create(BottomFormData formData) throws ProcessingException{
    if(!ACCESS.check(new CreateBottomPermission())){
      throw new VetoException(Texts.get("AuthorizationFailed"));
    }
    //TODO [gugi] business logic here.
    return formData;
  }

  public BottomFormData load(BottomFormData formData) throws ProcessingException{
    if(!ACCESS.check(new ReadBottomPermission())){
      throw new VetoException(Texts.get("AuthorizationFailed"));
    }
    //TODO [gugi] business logic here
    return formData;
  }

  public BottomFormData store(BottomFormData formData) throws ProcessingException{
    if(!ACCESS.check(new UpdateBottomPermission())){
      throw new VetoException(Texts.get("AuthorizationFailed"));
    }
    //TODO [gugi] business logic here
    return formData;
  }
}
