package org.eclipse.scout.demo.view.server.services.process;

import org.eclipse.scout.commons.exception.ProcessingException;
import org.eclipse.scout.commons.exception.VetoException;
import org.eclipse.scout.demo.view.shared.Texts;
import org.eclipse.scout.demo.view.shared.security.CreateRightPermission;
import org.eclipse.scout.demo.view.shared.security.ReadRightPermission;
import org.eclipse.scout.demo.view.shared.security.UpdateRightPermission;
import org.eclipse.scout.demo.view.shared.services.process.IRightProcessService;
import org.eclipse.scout.demo.view.shared.services.process.RightFormData;
import org.eclipse.scout.rt.shared.services.common.security.ACCESS;
import org.eclipse.scout.service.AbstractService;

public class RightProcessService extends AbstractService implements IRightProcessService {

  public RightFormData prepareCreate(RightFormData formData) throws ProcessingException {
    if (!ACCESS.check(new CreateRightPermission())) {
      throw new VetoException(Texts.get("AuthorizationFailed"));
    }
    //TODO [gugi] business logic here
    return formData;
  }

  public RightFormData create(RightFormData formData) throws ProcessingException{
    if(!ACCESS.check(new CreateRightPermission())){
      throw new VetoException(Texts.get("AuthorizationFailed"));
    }
    //TODO [gugi] business logic here.
    return formData;
  }

  public RightFormData load(RightFormData formData) throws ProcessingException{
    if(!ACCESS.check(new ReadRightPermission())){
      throw new VetoException(Texts.get("AuthorizationFailed"));
    }
    //TODO [gugi] business logic here
    return formData;
  }

  public RightFormData store(RightFormData formData) throws ProcessingException{
    if(!ACCESS.check(new UpdateRightPermission())){
      throw new VetoException(Texts.get("AuthorizationFailed"));
    }
    //TODO [gugi] business logic here
    return formData;
  }
}
